Unmap a partner account from an advertiser
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"unlinked": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Unmap a partner account from an advertiser
Soft-delete an advertiser-account link by its linkId (returned on mapping rows). The link is preserved for period history; buys for the advertiser on that platform fail with account_mapping_required until a new mapping is made.
DELETE
/
advertisers
/
{advertiserId}
/
accounts
/
{linkId}
Unmap a partner account from an advertiser
curl --request DELETE \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"unlinked": true
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Identifier of the advertiser-account link row (numeric primary key)
Pattern:
^\d{1,15}$Example:
"42"
Response
Unmap a partner account from an advertiser
Available options:
true